<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Disciplinas</strong>
    </div>
    <div class="infoCorte">
      *Información con corte al día vencido
    </div>
    <div class="contenedorPrincipal">
      <div class="instrucciones">
        Aquí verás desplegadas las
        <strong>disciplinas con su calificación final a nivel nacional*</strong>
        <br />
        Selecciona una para verla a detalle.
      </div>

      <div class="contenedorCards">
        <div class="divCol3">
          <div
            class="col3"
            v-for="disciplina in disciplinas"
            :key="disciplina.index"
          >
            <div class="card">
              <div class="cardHeader">
                <div class="titul">{{ disciplina.nombre }}</div>
                <div class="porcentaje">
                  {{ disciplina.porcentaje }}%
                  <img src="@/assets/img/right.svg" class="flechas" />
                </div>
              </div>
              <div class="cardBoby">
                <div style="padding-left: 20px;">
                  Calificación final de la Disciplina a Nivel Negocio
                </div>

                <div class="grafica">
                  <div class="baz" v-if="disciplina.baz != 0">
                    <div class="imga">
                      <img src="@/assets/img/logoBancoAzteca.svg" />
                    </div>
                    <div class="medidor">
                      <div
                        class="porcentaje"
                        v-bind:class="{
                          negro: disciplina.baz <= 50,
                          rosa: disciplina.baz >= 51 && disciplina.baz <= 69,
                          amarillo:
                            disciplina.baz >= 70 && disciplina.baz <= 89,
                          verde: disciplina.baz >= 90 && disciplina.baz <= 100,
                        }"
                        v-bind:style="{ width: disciplina.baz + '%' }"
                      >
                        {{ disciplina.baz }}%
                      </div>
                    </div>
                  </div>
                  <div class="ekt" v-if="disciplina.ekt != 0">
                    <div class="imga">
                      <img src="@/assets/img/logoElektra.svg" />
                    </div>
                    <div class="medidor">
                      <div
                        class="porcentaje"
                        v-bind:class="{
                          negro: disciplina.ekt <= 50,
                          rosa: disciplina.ekt >= 51 && disciplina.ekt <= 69,
                          amarillo:
                            disciplina.ekt >= 70 && disciplina.ekt <= 89,
                          verde: disciplina.ekt >= 90 && disciplina.ekt <= 100,
                        }"
                        v-bind:style="{ width: disciplina.ekt + '%' }"
                      >
                        {{ disciplina.ekt }}%
                      </div>
                    </div>
                  </div>
                  <div class="presta" v-if="disciplina.presta != 0">
                    <div class="imga">
                      <img
                        src="@/assets/img/logoPrestaPrenda.svg"
                        style="width: 70%;"
                      />
                    </div>
                    <div class="medidor">
                      <div
                        class="porcentaje"
                        v-bind:class="{
                          negro: disciplina.presta <= 50,
                          rosa:
                            disciplina.presta >= 51 && disciplina.presta <= 69,
                          amarillo:
                            disciplina.presta >= 70 && disciplina.presta <= 89,
                          verde:
                            disciplina.presta >= 90 && disciplina.presta <= 100,
                        }"
                        v-bind:style="{ width: disciplina.presta + '%' }"
                      >
                        {{ disciplina.presta }}%
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="semaforo">
      <div class="texto">
        El semaforo de evaluación considera el código de colores establecido en
        el Manual de Certificación de Sucursal
      </div>
      <div class="colores">
        <div>Daño económico 0% - 50%</div>
        <div>No cumple 51% - 69%</div>
        <div>Daño económico 70% - 89%</div>
        <div>Daño económico 90% - 100%</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "Component-Disciplinas",
  props: {
    msg: String,
  },
  data() {
    return {
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Sistema de Información",
          disabled: false,
          exact: true,
          to: {
            name: "sistema_informacion",
          },
        },
        {
          text: "Disciplinas",
          disabled: true,
        },
      ],
      disciplinas: [
        {
          nombre: "Herramientas de trabajo",
          porcentaje: 65,
          baz: 63,
          ekt: 57,
          presta: 20,
        },
        { nombre: "Uniformes", porcentaje: 75, baz: 75, ekt: 70, presta: 80 },
        { nombre: "Minucias", porcentaje: 90, baz: 90, ekt: 0, presta: 0 },
        { nombre: "Tecnología", porcentaje: 65, baz: 63, ekt: 0, presta: 0 },
        {
          nombre: "Metodología 7s",
          porcentaje: 75,
          baz: 75,
          ekt: 70,
          presta: 80,
        },
        { nombre: "Comedor", porcentaje: 90, baz: 0, ekt: 90, presta: 0 },
        { nombre: "Gestoría", porcentaje: 88, baz: 0, ekt: 88, presta: 0 },
        {
          nombre: "Continuidad de negocio",
          porcentaje: 88,
          baz: 0,
          ekt: 75,
          presta: 0,
        },
        {
          nombre: "Cajeros automáticos",
          porcentaje: 90,
          baz: 90,
          ekt: 0,
          presta: 0,
        },
        { nombre: "Filas", porcentaje: 63, baz: 63, ekt: 98, presta: 0 },
        {
          nombre: "Interacción con el cliente",
          porcentaje: 88,
          baz: 75,
          ekt: 70,
          presta: 90,
        },
        {
          nombre: "Pedestal digital",
          porcentaje: 90,
          baz: 0,
          ekt: 0,
          presta: 90,
        },
        {
          nombre: "Protección Civil",
          porcentaje: 90,
          baz: 0,
          ekt: 90,
          presta: 0,
        },
        { nombre: "Mantenimiento", porcentaje: 75, baz: 0, ekt: 75, presta: 0 },
        { nombre: "Imagen", porcentaje: 63, baz: 0, ekt: 63, presta: 0 },
        { nombre: "Limpieza", porcentaje: 63, baz: 0, ekt: 63, presta: 0 },
        { nombre: "Baños", porcentaje: 98, baz: 0, ekt: 98, presta: 0 },
        { nombre: "Piso de venta", porcentaje: 98, baz: 0, ekt: 98, presta: 0 },
        {
          nombre: "Sensor de tráfico",
          porcentaje: 63,
          baz: 0,
          ekt: 63,
          presta: 0,
        },
      ],
    };
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.infoCorte {
  color: red;
  font-size: 12px;
  padding: 8px 21px 9px 21px;
}
.contenedorPrincipal {
  padding: 20px 65px;
}

.instrucciones {
  padding-bottom: 20px;
}

.contenedorCards {
  display: flex;
}

.card {
  margin: 10px;
  min-height: 183px;
  -webkit-box-shadow: 3px 3px 7px 0px rgba(204, 204, 204, 1);
  -moz-box-shadow: 3px 3px 7px 0px rgba(204, 204, 204, 1);
  box-shadow: 3px 3px 7px 0px rgba(204, 204, 204, 1);
}

.cardHeader {
  height: 40px;
  background-color: #f7f7f7;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  font-family: "AvenirNextLTPro-Medium";
}

.cardHeader > .porcentaje {
  display: flex;
  justify-content: center;
  align-items: center;
}

.flechas {
  width: 20px;
  margin-left: 10px;
  cursor: pointer;
}

.cardBoby {
  padding: 10px 0px;
}

.grafica {
  padding-top: 5px;
}

.grafica img {
  width: 100%;
}

.rosa,
.rosa > .dot {
  background-color: #ea5270 !important;
}
.amarillo,
.amarillo > .dot {
  background-color: #f4c65c !important;
}
.verde,
.verde > .dot {
  background-color: #a2cc83 !important;
}
.negro,
.negro > .dot {
  background-color: #242424 !important;
}

.Trosa {
  color: #ea5270 !important;
}
.Tamarillo {
  color: #f4c65c !important;
}
.Tverde {
  color: #a2cc83 !important;
}
.Tnegro {
  color: #242424 !important;
}

.baz {
  display: flex;
  border-top: solid 1px #f7f7f7;
  border-bottom: solid 1px #f7f7f7;
  margin: 5px 0px;
}
.baz > .imga {
  width: 61px;
  display: flex;
  align-items: center;
  margin-right: 10px;
  padding-left: 10px;
  justify-content: center;
}
.baz > .medidor {
  width: 81%;
  height: 25px;
}

.baz > .medidor > .porcentaje {
  height: 25px;
  background-color: #ff0000;
  position: relative;
  border-top-right-radius: 21px;
  border-bottom-right-radius: 21px;
  display: flex;
  align-items: center;
  padding-left: 10px;
  color: white;
  /* animation: barra 3s; */
}

/* @keyframes barra {
  from {width: 0%;}
  to {width: 100%;}
} */

.baz .dot {
  height: 29px;
  width: 29px;
  background-color: #ff0000;
  border-radius: 50%;
  display: inline-block;
  position: absolute;
  right: -2px;
  border: solid 1px white;
  top: -2.5px;
}

.ekt {
  display: flex;
  border-top: solid 1px #f7f7f7;
  border-bottom: solid 1px #f7f7f7;
  margin: 5px 0px;
}
.ekt > .imga {
  width: 61px;
  display: flex;
  align-items: center;
  margin-right: 10px;
  padding-left: 10px;
  justify-content: center;
}
.ekt > .medidor {
  width: 81%;
  height: 25px;
}

.ekt > .medidor > .porcentaje {
  width: 100%;
  height: 25px;
  background-color: #ff0000;
  position: relative;
  border-top-right-radius: 21px;
  border-bottom-right-radius: 21px;
  display: flex;
  align-items: center;
  padding-left: 10px;
  color: white;
}

.ekt .dot {
  height: 29px;
  width: 29px;
  background-color: #ff0000;
  border-radius: 50%;
  display: inline-block;
  position: absolute;
  right: -2px;
  border: solid 1px white;
  top: -2.5px;
}
.presta {
  display: flex;
  border-top: solid 1px #f7f7f7;
  border-bottom: solid 1px #f7f7f7;
  margin: 5px 0px;
}
.presta > .imga {
  width: 61px;
  display: flex;
  align-items: center;
  margin-right: 10px;
  padding-left: 10px;
  justify-content: center;
}
.presta > .medidor {
  width: 81%;
  height: 25px;
}

.presta > .medidor > .porcentaje {
  width: 100%;
  height: 25px;
  background-color: #ff0000;
  position: relative;
  border-top-right-radius: 21px;
  border-bottom-right-radius: 21px;
  display: flex;
  align-items: center;
  padding-left: 10px;
  color: white;
  transition: width 2s;
}

.presta .dot {
  height: 29px;
  width: 29px;
  background-color: #ff0000;
  border-radius: 50%;
  display: inline-block;
  position: absolute;
  right: -2px;
  border: solid 1px white;
  top: -2.5px;
}

.semaforo {
  display: flex;
  justify-content: center;
  flex-direction: column;
  text-align: center;
}

.colores {
  display: flex;
  justify-content: center;
  padding-bottom: 30px;
}

.colores > div {
  width: 265px;
  height: 30px;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
}

.colores > div:nth-child(1) {
  background-color: #242424;
}
.colores > div:nth-child(2) {
  background-color: #ea5270;
}
.colores > div:nth-child(3) {
  background-color: #f4c65c;
}
.colores > div:nth-child(4) {
  background-color: #a2cc83;
}
</style>
